package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.OwnerInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface OwnerInfoService {
	OwnerInfo get(String id);
	boolean exist(String id);
	int insert(OwnerInfo model);
	int update(OwnerInfo model);
	int delete(String id);
	List<OwnerInfo> list();
	List<Map> findByTel(String tel);
	Page<OwnerInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}